Require Import connectives.
Require Import leibniz.
Require Import nat.
Parameter div_aux : nat.nat -> nat.nat -> nat.nat -> nat.nat.
Parameter div_aux_body : nat.nat -> nat.nat -> nat.nat -> nat.nat.
Axiom axiom_div_aux : forall (p:nat.nat), connectives.equal (nat.nat -> nat.nat -> nat.nat) (div_aux p) (nat.filter_nat_type (nat.nat -> nat.nat -> nat.nat) div_aux_body p).
Definition eq_div_aux : forall (p:nat.nat), leibniz.leibniz (nat.nat -> nat.nat -> nat.nat) (div_aux p) (nat.filter_nat_type (nat.nat -> nat.nat -> nat.nat) div_aux_body p) := fun (p:nat.nat) => ((((connectives.equal_leibniz) (nat.nat -> nat.nat -> nat.nat)) (div_aux p)) (nat.filter_nat_type (nat.nat -> nat.nat -> nat.nat) div_aux_body p)) ((axiom_div_aux) (p)).
Definition sym_eq_div_aux : forall (p:nat.nat), leibniz.leibniz (nat.nat -> nat.nat -> nat.nat) (nat.filter_nat_type (nat.nat -> nat.nat -> nat.nat) div_aux_body p) (div_aux p) := fun (p:nat.nat) => ((((leibniz.sym_leibniz) (nat.nat -> nat.nat -> nat.nat)) (div_aux p)) (nat.filter_nat_type (nat.nat -> nat.nat -> nat.nat) div_aux_body p)) ((eq_div_aux) (p)).
